#ifndef _AADL_DATA_H_
#define _AADL_DATA_H_

#include "aadl_runtime_services.h"
#include "aadl_error.h"

// low-level functions
StatusType Get_Resource(resource_t * resource);

StatusType Release_Resource(resource_t * resource);

// "high-level" functions
StatusType Write_Data(data_reference_t * data, void * value);

StatusType Read_Data(data_reference_t * data, void * dst);

#endif // _AADL_DATA_H_
